=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-01-06 04:32:20 +0000
+++ drizzled/sql_yacc.yy	2010-01-08 06:23:08 +0000
@@ -1286,7 +1286,7 @@
 		custom_engine_option;
 
 custom_engine_option:
-        ENGINE_SYM opt_equal ident_or_text
+        ENGINE_SYM equal ident_or_text
                     {
             statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
             drizzled::message::Table::StorageEngine::EngineOption opt;
@@ -1294,7 +1294,7 @@
             opt.set_option_value($3.str);
             statement->parsed_engine_options.push_back(opt);
                     }
-        |  opt_default COLLATE_SYM opt_equal ident_or_text
+        |  opt_default COLLATE_SYM equal ident_or_text
                     {
             statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
             drizzled::message::Table::StorageEngine::EngineOption opt;

=== modified file 'tests/include/mix1.inc'
--- tests/include/mix1.inc	2009-07-31 23:20:14 +0000
+++ tests/include/mix1.inc	2010-01-08 06:23:08 +0000
@@ -541,7 +541,7 @@
 # Bug #28652: assert when alter innodb table operation
 #
 create table t1(a int) engine=innodb;
-alter table t1 comment '123';
+alter table t1 comment='123';
 show create table t1;
 drop table t1;
 

=== modified file 'tests/include/parser_bug21114.inc'
--- tests/include/parser_bug21114.inc	2008-06-25 05:29:13 +0000
+++ tests/include/parser_bug21114.inc	2010-01-08 06:23:08 +0000
@@ -31,7 +31,7 @@
   col2 int not null,
   col3 varchar(10),
   CONSTRAINT pk PRIMARY KEY (col1, col2)
-) ENGINE $engine_type;
+) ENGINE=$engine_type;
 
 eval CREATE TABLE bug21114_child(
   pk int not null,
@@ -43,7 +43,7 @@
     REFERENCES $FCT(col1, col2),
   CONSTRAINT fk_fct_space FOREIGN KEY (fk_col3, fk_col4)
     REFERENCES $FCT (col1, col2)
-) ENGINE $engine_type;
+) ENGINE=$engine_type;
 
 --enable_query_log
 --enable_result_log

=== modified file 'tests/include/rowid_order.inc'
--- tests/include/rowid_order.inc	2008-10-18 22:47:08 +0000
+++ tests/include/rowid_order.inc	2010-01-08 06:23:08 +0000
@@ -65,7 +65,7 @@
   PRIMARY KEY  (pk1),
   KEY key1 (key1),
   KEY key2 (key2)
-) collate utf8_general_ci;
+) collate=utf8_general_ci;
 insert into t1 values ('a1', 1, 1),
   ('b2', 1, 1),
   ('A3', 1, 1),

=== modified file 'tests/r/analyze.result'
--- tests/r/analyze.result	2009-08-24 18:48:20 +0000
+++ tests/r/analyze.result	2010-01-08 06:23:08 +0000
@@ -26,7 +26,7 @@
 Table	Op	Msg_type	Msg_text
 test.t1	check	status	OK
 drop table t1;
-create TEMPORARY table t1 (a varchar(10), key key1(a)) collate utf8_general_ci engine myisam;
+create TEMPORARY table t1 (a varchar(10), key key1(a)) collate=utf8_general_ci engine=myisam;
 insert into t1 values ('hello');
 analyze table t1;
 Table	Op	Msg_type	Msg_text

=== modified file 'tests/r/create.result'
--- tests/r/create.result	2009-12-01 18:40:22 +0000
+++ tests/r/create.result	2010-01-08 06:23:08 +0000
@@ -1488,7 +1488,7 @@
 c4 VARCHAR(255) NOT NULL DEFAULT 'a',
 c5 VARCHAR(255) COLLATE utf8_unicode_ci NULL DEFAULT 'b',
 c6 VARCHAR(255))
-COLLATE utf8_bin;
+COLLATE=utf8_bin;
 
 SHOW CREATE TABLE t1;
 Table	Create Table

=== modified file 'tests/r/ctype_utf8.result'
--- tests/r/ctype_utf8.result	2009-12-01 17:50:17 +0000
+++ tests/r/ctype_utf8.result	2010-01-08 06:23:08 +0000
@@ -724,7 +724,7 @@
 CREATE TEMPORARY TABLE t1 (
 a varchar(255) NOT NULL default '',
 KEY a (a)
-) ENGINE=MyISAM COLLATE utf8_general_ci;
+) ENGINE=MyISAM COLLATE=utf8_general_ci;
 insert into t1 values (0xe880bd);
 insert into t1 values (0x5b);
 select hex(a) from t1;

=== modified file 'tests/r/default.result'
--- tests/r/default.result	2009-06-16 00:53:22 +0000
+++ tests/r/default.result	2010-01-08 06:23:08 +0000
@@ -28,7 +28,7 @@
 z varbinary(20) NOT NULL DEFAULT ' ',
 a1 varbinary(30) NOT NULL DEFAULT ' ',
 b1 blob NULL)
-ENGINE=InnoDB DEFAULT COLLATE utf8_bin;
+ENGINE=InnoDB DEFAULT COLLATE=utf8_bin;
 INSERT into t1 (b) values ('1');
 SHOW WARNINGS;
 Level	Code	Message
@@ -63,7 +63,7 @@
 z varbinary(20) NOT NULL DEFAULT ' ',
 a1 varbinary(30) NOT NULL DEFAULT ' ',
 b1 blob NULL)
-ENGINE=MyISAM DEFAULT COLLATE utf8_bin;
+ENGINE=MyISAM DEFAULT COLLATE=utf8_bin;
 SHOW CREATE TABLE t2;
 Table	Create Table
 t2	CREATE TEMPORARY TABLE `t2` (

=== modified file 'tests/r/innodb_mysql.result'
--- tests/r/innodb_mysql.result	2009-07-31 23:20:14 +0000
+++ tests/r/innodb_mysql.result	2010-01-08 06:23:08 +0000
@@ -484,7 +484,7 @@
 4	a	2
 drop table t1;
 create table t1(a int) engine=innodb;
-alter table t1 comment '123';
+alter table t1 comment='123';
 show create table t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (

=== modified file 'tests/r/rowid_order_innodb.result'
--- tests/r/rowid_order_innodb.result	2008-12-06 22:41:03 +0000
+++ tests/r/rowid_order_innodb.result	2010-01-08 06:23:08 +0000
@@ -52,7 +52,7 @@
 PRIMARY KEY  (pk1),
 KEY key1 (key1),
 KEY key2 (key2)
-) collate utf8_general_ci;
+) collate=utf8_general_ci;
 insert into t1 values ('a1', 1, 1),
 ('b2', 1, 1),
 ('A3', 1, 1),

=== modified file 'tests/r/show_check.result'
--- tests/r/show_check.result	2009-12-01 18:40:22 +0000
+++ tests/r/show_check.result	2010-01-08 06:23:08 +0000
@@ -207,7 +207,7 @@
   `b` varchar(10) DEFAULT NULL,
   KEY `b` (`b`)
 ) ENGINE=MyISAM ROW_FORMAT=DYNAMIC COMMENT='test'
-ALTER TABLE t1 COMMENT="" ROW_FORMAT=default;
+ALTER TABLE t1 COMMENT="", ROW_FORMAT='default';
 show create table t1;
 Table	Create Table
 t1	CREATE TEMPORARY TABLE `t1` (

=== modified file 'tests/r/strict.result'
--- tests/r/strict.result	2009-04-07 19:29:21 +0000
+++ tests/r/strict.result	2010-01-08 06:23:08 +0000
@@ -462,7 +462,7 @@
 ) ENGINE=DEFAULT
 drop table t2,t1;
 create table t1 (i int)
-comment '123456789*123456789*123456789*123456789*123456789*123456789*';
+comment='123456789*123456789*123456789*123456789*123456789*123456789*';
 show create table t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (

=== modified file 'tests/r/union.result'
--- tests/r/union.result	2009-11-19 18:26:26 +0000
+++ tests/r/union.result	2010-01-08 06:23:08 +0000
@@ -1161,7 +1161,7 @@
 select concat('a', 'b' collate utf8_bin);
 concat('a', 'b' collate utf8_bin)
 ab
-create table t1 (foo varchar(100)) collate utf8_bin;
+create table t1 (foo varchar(100)) collate=utf8_bin;
 insert into t1 (foo) values ("foo");
 select foo from t1 union select 'bar' as foo from dual;
 ERROR 42S02: Table 'test.dual' doesn't exist

=== modified file 'tests/t/analyze.test'
--- tests/t/analyze.test	2009-06-16 00:53:22 +0000
+++ tests/t/analyze.test	2010-01-08 06:23:08 +0000
@@ -41,7 +41,7 @@
 # contains stopwords only. The first execution of analyze table should
 # mark index statistics as up to date so that next execution of this
 # statement will end up with Table is up to date status.
-create TEMPORARY table t1 (a varchar(10), key key1(a)) collate utf8_general_ci engine myisam;
+create TEMPORARY table t1 (a varchar(10), key key1(a)) collate=utf8_general_ci engine=myisam;
 insert into t1 values ('hello');
 
 analyze table t1;

=== modified file 'tests/t/create.test'
--- tests/t/create.test	2009-12-01 17:50:17 +0000
+++ tests/t/create.test	2010-01-08 06:23:08 +0000
@@ -1242,7 +1242,7 @@
   c4 VARCHAR(255) NOT NULL DEFAULT 'a',
   c5 VARCHAR(255) COLLATE utf8_unicode_ci NULL DEFAULT 'b',
   c6 VARCHAR(255))
-  COLLATE utf8_bin;
+  COLLATE=utf8_bin;
 
 --echo
 

=== modified file 'tests/t/ctype_utf8.test'
--- tests/t/ctype_utf8.test	2009-12-01 17:50:17 +0000
+++ tests/t/ctype_utf8.test	2010-01-08 06:23:08 +0000
@@ -626,7 +626,7 @@
 CREATE TEMPORARY TABLE t1 (
   a varchar(255) NOT NULL default '',
   KEY a (a)
-) ENGINE=MyISAM COLLATE utf8_general_ci;
+) ENGINE=MyISAM COLLATE=utf8_general_ci;
 insert into t1 values (0xe880bd);
 insert into t1 values (0x5b);
 select hex(a) from t1;

=== modified file 'tests/t/default.test'
--- tests/t/default.test	2009-06-16 00:53:22 +0000
+++ tests/t/default.test	2010-01-08 06:23:08 +0000
@@ -37,7 +37,7 @@
                  z varbinary(20) NOT NULL DEFAULT ' ',
                  a1 varbinary(30) NOT NULL DEFAULT ' ',
 		 b1 blob NULL)
-ENGINE=InnoDB DEFAULT COLLATE utf8_bin;
+ENGINE=InnoDB DEFAULT COLLATE=utf8_bin;
 
 INSERT into t1 (b) values ('1');
 SHOW WARNINGS;
@@ -71,7 +71,7 @@
                  z varbinary(20) NOT NULL DEFAULT ' ',
                  a1 varbinary(30) NOT NULL DEFAULT ' ',
 		 b1 blob NULL)
-ENGINE=MyISAM DEFAULT COLLATE utf8_bin;
+ENGINE=MyISAM DEFAULT COLLATE=utf8_bin;
 
 SHOW CREATE TABLE t2;
 INSERT into t2 (b) values ('1');

=== modified file 'tests/t/show_check.test'
--- tests/t/show_check.test	2009-12-01 17:50:17 +0000
+++ tests/t/show_check.test	2010-01-08 06:23:08 +0000
@@ -112,7 +112,7 @@
 show create table t1;
 alter table t1 ROW_FORMAT=dynamic;
 show create table t1;
-ALTER TABLE t1 COMMENT="" ROW_FORMAT=default;
+ALTER TABLE t1 COMMENT="", ROW_FORMAT='default';
 show create table t1;
 drop table t1;
 

=== modified file 'tests/t/strict.test'
--- tests/t/strict.test	2009-04-07 19:29:21 +0000
+++ tests/t/strict.test	2010-01-08 06:23:08 +0000
@@ -416,7 +416,7 @@
 drop table t2,t1;
 
 create table t1 (i int)
-comment '123456789*123456789*123456789*123456789*123456789*123456789*';
+comment='123456789*123456789*123456789*123456789*123456789*123456789*';
 --replace_regex /ENGINE=[a-zA-Z]+/ENGINE=DEFAULT/
 show create table t1;
 drop table t1;

=== modified file 'tests/t/union.test'
--- tests/t/union.test	2009-11-19 18:26:26 +0000
+++ tests/t/union.test	2010-01-08 06:23:08 +0000
@@ -740,7 +740,7 @@
 # Bug#15949 union + illegal mix of collations (IMPLICIT + COERCIBLE)
 #
 select concat('a', 'b' collate utf8_bin);
-create table t1 (foo varchar(100)) collate utf8_bin;
+create table t1 (foo varchar(100)) collate=utf8_bin;
 insert into t1 (foo) values ("foo");
 --error 1146
 select foo from t1 union select 'bar' as foo from dual;

